<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#comment>系统是否包含预定义代码表</#comment>
<#assign hasPredefinedCodeList=false>
<#list sys.getAllPSCodeLists() as codelist>
    <#if codelist.getPredefinedType()?? && codelist.getPredefinedType()=='RUNTIME'>
        <#assign hasPredefinedCodeList=true>
        <#break>
    </#if>
</#list>
<#if hasPredefinedCodeList>
    <#assign isFirstCodeList=true>
[    <#list sys.getAllPSCodeLists() as codelist>
        <#if codelist.getPredefinedType()?? && codelist.getPredefinedType()=='RUNTIME'>
            <#if isFirstCodeList==false>,</#if>
   {
        "name":"${codelist.name}",
        "code":"${sys.codeName}-${codelist.codeName}",
        "group":"",
        "memo":"",
        "enable":"",
        <#if codelist.getAllPSCodeItems()??>
        "items":[<#list codelist.getAllPSCodeItems() as codeItem>
        {
        "catalog_id":"${sys.codeName}-${codelist.codeName}",
        "catalog_name":"${codelist.name}",
        "value_key":"${sys.codeName}-${codelist.codeName}-${codeItem.codeName}",
        "value":"${codeItem.value}",
        "label":"${codeItem.text}",
        "disabled":"",
        "showorder":""
        <#if codeItem.getParentCodeItem?? && codeItem.getParentCodeItem()??>
        "parent":"${sys.codeName}-${codelist.codeName}-${codeItem.getParentCodeItem().codeName}"
        </#if>
        }<#if codeItem_has_next>,</#if>
        </#list>
        ]
        </#if>
   }
        <#assign isFirstCodeList=false>
        </#if>
    </#list>
]
</#if>